StringStreams (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.streams

## Class StringStreams

- java.lang.Object
- - com.ibm.streamsx.topology.streams.StringStreams

-     public class StringStreams
      extends java.lang.Object

  Utilities for streams containing `String` tuples.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringStreams()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TStream<java.lang.String>` | `contains(TStream<java.lang.String> stream, java.lang.String term)` Create a filtered stream that contains `String` tuples containing a specific term.
    `static TStream<java.lang.String>` | `startsWith(TStream<java.lang.String> stream, java.lang.String term)` Create a filtered stream that contains `String` tuples starting with a specific term.
    `static <T> TStream<java.lang.String>` | `toString(TStream<T> stream)` Create a stream that converts each input tuple to its `String` representation using `toString()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringStreams

          public StringStreams()

  - ### Method Detail

    - #### contains

          public static TStream<java.lang.String> contains(TStream<java.lang.String> stream,
                                                           java.lang.String term)

      Create a filtered stream that contains `String` tuples containing a specific term. An input tuple `t` is present on the filtered stream if `t.contains(term)` returns true.
      Parameters:
        `stream` - Input stream
        `term` - Term to
      Returns:
        Filtered stream of tuples that contain `term`.

    - #### startsWith

          public static TStream<java.lang.String> startsWith(TStream<java.lang.String> stream,
                                                             java.lang.String term)

      Create a filtered stream that contains `String` tuples starting with a specific term. An input tuple `t` is present on the filtered stream if `t.startsWith(term)` returns true.
      Parameters:
        `stream` - Input stream
        `term` - Term to
      Returns:
        Filtered stream of tuples that contain `term`.

    - #### toString

          public static <T> TStream<java.lang.String> toString(TStream<T> stream)

      Create a stream that converts each input tuple to its `String` representation using `toString()`.
      Parameters:
        `stream` - Stream to be converted to `String` values
      Returns:
        Stream containing `String` representations of each tuple on `stream`.